#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI1_18.INP");
	ofstream f2("BAI1_18.OUT");
	int n;
	int k;
	int d=0;
	f1>>n>>k;
//	cin>>n>>k;
//	cout<<endl;
	for (int i=1;i<=n;i++)
	{
		int dem=0;
		for (int j=1;j<=i;j++)
			  if (i%j==0)
			  {
			  	dem++;
			  }
		if (dem==k)
		{
//			cout<<i<<"  ";
			d++;
		}
	}
//	cout<<"kq: "<<d;
	f2<<d;
	f1.close();
	f2.close();
}
